import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'


//  将工具函数挂载到原型上面去
import { showToast,loading } from '@/utils/index'
Vue.prototype.$showToast = showToast
Vue.prototype.$loading = loading

//  挂载全局的 mixin
import mixin from '@/mixins/index'
Vue.mixin(mixin)

//  挂载 Vuex
import store from './store'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App,
  store,
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif